buildr-ci mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: Buildr-website-build #106
Date Sun, 07 Oct 2012 07:04:36 GMT
See <https://builds.apache.org/job/Buildr-website-build/106/>

------------------------------------------
[...truncated 176 lines...]
AU        doc/scripts/install-jruby.sh
AU        doc/scripts/install-linux.sh
AU        doc/scripts/gitflow.rb
A         doc/css
AU        doc/css/print.css
AU        doc/css/default.css
A         doc/css/syntax.css
A         doc/testing.textile
A         doc/artifacts.textile
A         doc/_layouts
A         doc/_layouts/default.html
A         doc/_layouts/preface.html
A         doc/packaging.textile
A         doc/extending.textile
A         doc/_config.yml
A         doc/images
AU        doc/images/tip.png
A         doc/images/1442160941-frontcover.jpg
AU        doc/images/buildr.png
A         doc/images/growl-icon.tiff
A         doc/images/project-structure.png
A         doc/images/favicon.png
AU        doc/images/note.png
A         doc/images/asf-logo.png
AU        doc/images/asf-logo.gif
AU        doc/images/buildr-hires.png
AU        doc/images/zbuildr.tif
A         doc/images/zbuildr.png
A         doc/projects.textile
A         doc/quick_start.textile
A         doc/building.textile
A         doc/mailing_lists.textile
A         lib
A         lib/buildr
A         lib/buildr/ide
A         lib/buildr/ide/idea.rb
A         lib/buildr/ide/eclipse.rb
A         lib/buildr/java
A         lib/buildr/java/rjb.rb
A         lib/buildr/java/test_result.rb
A         lib/buildr/java/emma.rb
A         lib/buildr/java/ant.rb
A         lib/buildr/java/external.rb
A         lib/buildr/java/packaging.rb
A         lib/buildr/java/org
A         lib/buildr/java/org/apache
A         lib/buildr/java/org/apache/buildr
A         lib/buildr/java/org/apache/buildr/JavaTestFilter.java
AU        lib/buildr/java/org/apache/buildr/JavaTestFilter.class
A         lib/buildr/java/cobertura.rb
A         lib/buildr/java/bdd.rb
A         lib/buildr/java/jruby.rb
A         lib/buildr/java/pom.rb
A         lib/buildr/java/deprecated.rb
A         lib/buildr/java/commands.rb
A         lib/buildr/java/ecj.rb
A         lib/buildr/java/tests.rb
A         lib/buildr/java/doc.rb
A         lib/buildr/java/version_requirement.rb
A         lib/buildr/java/compiler.rb
A         lib/buildr/clojure
A         lib/buildr/clojure/shell.rb
A         lib/buildr/scala
A         lib/buildr/scala/tests.rb
A         lib/buildr/scala/doc.rb
A         lib/buildr/scala/org
A         lib/buildr/scala/org/apache
A         lib/buildr/scala/org/apache/buildr
A         lib/buildr/scala/org/apache/buildr/Specs2Runner.java
A         lib/buildr/scala/org/apache/buildr/SpecsSingletonRunner.java
AU        lib/buildr/scala/org/apache/buildr/SpecsSingletonRunner.class
A         lib/buildr/scala/shell.rb
A         lib/buildr/scala/bdd.rb
A         lib/buildr/scala/compiler.rb
A         lib/buildr/packaging
A         lib/buildr/packaging/artifact.rb
A         lib/buildr/packaging/archive.rb
A         lib/buildr/packaging/artifact_search.rb
A         lib/buildr/packaging/zip.rb
A         lib/buildr/packaging/version_requirement.rb
A         lib/buildr/packaging/ziptask.rb
A         lib/buildr/packaging/tar.rb
A         lib/buildr/packaging/artifact_namespace.rb
A         lib/buildr/packaging/gems.rb
A         lib/buildr/packaging/package.rb
A         lib/buildr/clojure.rb
A         lib/buildr/groovy
A         lib/buildr/groovy/doc.rb
A         lib/buildr/groovy/shell.rb
A         lib/buildr/groovy/bdd.rb
A         lib/buildr/groovy/compiler.rb
A         lib/buildr/scala.rb
A         lib/buildr/run.rb
A         lib/buildr/groovy.rb
A         lib/buildr/version.rb
A         lib/buildr/core
A         lib/buildr/core/util.rb
A         lib/buildr/core/transports.rb
A         lib/buildr/core/test.rb
A         lib/buildr/core/cc.rb
A         lib/buildr/core/filter.rb
A         lib/buildr/core/common.rb
A         lib/buildr/core/compile.rb
A         lib/buildr/core/help.rb
A         lib/buildr/core/progressbar.rb
A         lib/buildr/core/generate.rb
A         lib/buildr/core/build.rb
A         lib/buildr/core/linux.rb
A         lib/buildr/core/checks.rb
A         lib/buildr/core/application.rb
A         lib/buildr/core/jrebel.rb
A         lib/buildr/core/environment.rb
A         lib/buildr/core/run.rb
A         lib/buildr/core/doc.rb
A         lib/buildr/core/project.rb
A         lib/buildr/core/shell.rb
A         lib/buildr/core/osx.rb
A         lib/buildr/shell.rb
A         lib/buildr/resources
A         lib/buildr/resources/completed.png
A         lib/buildr/resources/failed.png
A         lib/buildr/resources/icons-license.txt
A         lib/buildr/resources/buildr.icns
A         lib/buildr.rb
A         .rvmrc
A         bin
AU        bin/buildr
A         Gemfile
A         rakelib
A         rakelib/checks.rake
A         rakelib/release.rake
A         rakelib/stage.rake
A         rakelib/doc.rake
A         rakelib/metrics.rake
A         rakelib/all-in-one.rake
A         rakelib/package.rake
A         rakelib/rspec.rake
A         etc
A         etc/KEYS
 U        .
At revision 1395237
no revision recorded for http://svn.apache.org/repos/asf/buildr/trunk in the previous build
[Buildr-website-build] $ /usr/bin/env bash /tmp/hudson6272960986982419445.sh
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
Waiting
********************************************************************
*  RVM will install the environment for Buildr development now.
*  By default it will use ruby-1.9.2-p320.
*  To force use an other version of ruby, set BUILDR_RUBY_VERSION.
*  Examples:
*     export BUILDR_RUBY_VERSION=ruby-1.9.2-p320
*     export BUILDR_RUBY_VERSION=jruby-1.6.7
*     export BUILDR_RUBY_VERSION=ruby-1.8.7-p358
********************************************************************
ruby-1.8.7-p358 was not found, running 'rvm install ruby-1.8.7-p358'...
Ruby (and needed base gems) for your selection will be installed shortly.
Before it happens, please read and execute the instructions below.
Please use a separate terminal to execute any additional commands.

Requirements for Linux "Ubuntu 10.04.4 LTS"

NOTE: 'ruby' represents Matz's Ruby Interpreter (MRI) (1.8.X, 1.9.X)
             This is the *original* / standard Ruby Language Interpreter
      'ree'  represents Ruby Enterprise Edition
      'rbx'  represents Rubinius

bash >= 4.1 required
curl is required
git is required (>= 1.7 for ruby-head)
patch is required (for 1.8 rubies and some ruby-head's).

To install rbx and/or Ruby 1.9 head (MRI) (eg. 1.9.2-head),
then you must install and use rvm 1.8.7 first.

Additional Dependencies:
# For Ruby / Ruby HEAD (MRI, Rubinius, & REE), install the following:
  ruby: /usr/bin/apt-get install build-essential openssl libreadline6 libreadline6-dev curl
git-core zlib1g zlib1g-dev libssl-dev libyaml-dev libsqlite3-dev sqlite3 libxml2-dev libxslt-dev
autoconf libc6-dev ncurses-dev automake libtool bison subversion pkg-config

# For JRuby, install the following:
  jruby: /usr/bin/apt-get install curl g++ openjdk-6-jre-headless
  jruby-head: /usr/bin/apt-get install ant openjdk-6-jdk

# For IronRuby, install the following:
  ironruby: /usr/bin/apt-get install curl mono-2.0-devel

Press 'q' to continue.
No binary rubies available for: ///ruby-1.8.7-p358.
Continuing with compilation. Please read 'rvm mount' to get more information on binary rubies.
Installing Ruby from source to: /home/hudson/.rvm/rubies/ruby-1.8.7-p358, this may take a
while depending on your cpu(s)...
ruby-1.8.7-p358 - #downloading ruby-1.8.7-p358, this may take a while depending on your connection...
tee: standard output: Broken pipe
tee: write error
ruby-1.8.7-p358 - #extracted to /home/hudson/.rvm/src/ruby-1.8.7-p358 (already extracted)
Applying patch /home/hudson/.rvm/patches/ruby/1.8.7/stdout-rouge-fix.patch
tee: standard output: Broken pipe
tee: write error
Error running 'patch -F 25 -p1 -N -f -i /home/hudson/.rvm/patches/ruby/1.8.7/stdout-rouge-fix.patch',
please read /home/hudson/.rvm/log/ruby-1.8.7-p358/patch.apply.stdout-rouge-fix.log
Applying patch /home/hudson/.rvm/patches/ruby/1.8.7/no_sslv2.diff
tee: standard output: Broken pipe
tee: write error
There has been an error applying the specified patches. Halting the installation.
Please be aware that you just installed a ruby that requires 2 patches just to be compiled
on up to date linux system.
This may have known and unaccounted for security vulnerabilities.
Please consider upgrading to Ruby 1.9.3-194 which will have all of the latest security patches.
ruby-1.8.7-p358 is not installed.
To install do: 'rvm install ruby-1.8.7-p358'
Ruby ruby-1.8.7-p358@Buildr-website-build is not installed.
Installing bundler...
Ruby ruby-1.8.7-p358@Buildr-website-build is not installed.
Ruby ruby-1.8.7-p358@Buildr-website-build is not installed.
exec rake jekyll --trace

rvm 1.16.8 (stable) by Wayne E. Seguin <wayneeseguin@gmail.com>, Michal Papis <mpapis@gmail.com>
[https://rvm.io/]

Ruby ruby-1.8.7-p358@Buildr-website-build is not installed.
Build step 'Execute shell' marked build as failure
Archiving artifacts

Mime
View raw message